atk-sharp 2.12.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. System.Enum GLib.GType(typeof(Atk.RoleGType)) Describes the role of an object
- Field
  2.12.0.0
  Atk.Role A label which represents an accelerator
- Field
  2.12.0.0
  Atk.Role An object which is an alert to the user
- Field
  2.12.0.0
  Atk.Role An object which is an animated image
- Field
  2.12.0.0
  Atk.Role The object is an application object, which may contain objects or other types of accessibles.
- Field
  2.12.0.0
  Atk.Role An arrow in one of the four cardinal directions
- Field
  2.12.0.0
  Atk.Role To be added To be added
- Field
  2.12.0.0
  Atk.Role An object that displays a calendar and allows the user to select a date
- Field
  2.12.0.0
  Atk.Role An object that can be drawn into and is used to trap events
- Field
  2.12.0.0
  Atk.Role To be added.
- Field
  2.12.0.0
  Atk.Role To be added.
- Field
  2.12.0.0
  Atk.Role A choice that can be checked or unchecked and provides a separate indicator for the current state
- Field
  2.12.0.0
  Atk.Role A menu item with a check box
- Field
  2.12.0.0
  Atk.Role A specialized dialog that lets the user choose a color
- Field
  2.12.0.0
  Atk.Role The header for a column of data
- Field
  2.12.0.0
  Atk.Role A list of choices the user can select from
- Field
  2.12.0.0
  Atk.Role An object whose purpose is to allow a user to edit a date
- Field
  2.12.0.0
  Atk.Role A pane that supports internal frames and iconified versions of those internal frames
- Field
  2.12.0.0
  Atk.Role An inconifed internal frame within a
- Field
  2.12.0.0
  Atk.Role An object whose purpose is to allow a user to set a value
- Field
  2.12.0.0
  Atk.Role A top level window with title bar and a border
- Field
  2.12.0.0
  Atk.Role A pane that allows the user to navigate through and select the contents of a directory
- Field
  2.12.0.0
  Atk.Role To be added.
- Field
  2.12.0.0
  Atk.Role An object used for drawing custom user interface elements
- Field
  2.12.0.0
  Atk.Role To be added To be added
- Field
  2.12.0.0
  Atk.Role To be added To be added
- Field
  2.12.0.0
  Atk.Role To be added.
- Field
  2.12.0.0
  Atk.Role A specialized dialog that lets the user choose a file
- Field
  2.12.0.0
  Atk.Role A object that fills up space in a user interface
- Field
  2.12.0.0
  Atk.Role A specialized dialog that lets the user choose a font
- Field
  2.12.0.0
  Atk.Role An object that serves as a document footer.
- Field
  2.12.0.0
  Atk.Role To be added.
- Field
  2.12.0.0
  Atk.Role A top level window with a title bar, border, menubar, etc.
- Field
  2.12.0.0
  Atk.Role A pane that is guaranteed to be painted on top of all panes beneath it
- Field
  2.12.0.0
  Atk.Role An object that serves as a document header.
- Field
  2.12.0.0
  Atk.Role To be added.
- Field
  2.12.0.0
  Atk.Role A document container for HTML, whose children represent the document content
- Field
  2.12.0.0
  Atk.Role A small fixed size picture, typically used to decorate components
- Field
  2.12.0.0
  Atk.Role An object whose primary purpose is to display an image
- Field
  2.12.0.0
  Atk.Role To be added.
- Field
  2.12.0.0
  Atk.Role A frame-like object that is clipped by a desktop pane
- Field
  2.12.0.0
  Atk.Role Invalid role
- Field
  2.12.0.0
  Atk.Role An object used to present an icon or short string in an interface
- Field
  2.12.0.0
  Atk.Role not a valid role, used for finding end of enumeration
- Field
  2.12.0.0
  Atk.Role A specialized pane that allows its children to be drawn in layers, providing a form of stacking order
- Field
  2.12.0.0
  Atk.Role To be added.
- Field
  2.12.0.0
  Atk.Role An object that presents a list of objects to the user and allows the user to select one or more of them
- Field
  2.12.0.0
  Atk.Role An object that represents an element of a list
- Field
  2.12.0.0
  Atk.Role An object usually found inside a menu bar that contains a list of actions the user can choose from
- Field
  2.12.0.0
  Atk.Role An object usually drawn at the top of the primary dialog box of an application that contains a list of menus the user can choose from
- Field
  2.12.0.0
  Atk.Role An object usually contained in a menu that presents an action the user can choose
- Field
  2.12.0.0
  Atk.Role A specialized pane whose primary use is inside a Dialog
- Field
  2.12.0.0
  Atk.Role To be added.
- Field
  2.12.0.0
  Atk.Role An object that is a child of a page tab list
- Field
  2.12.0.0
  Atk.Role An object that presents a series of panels (or page tabs), one at a time, through some mechanism provided by the object
- Field
  2.12.0.0
  Atk.Role A generic container that is often used to group objects
- Field
  2.12.0.0
  Atk.Role An object which is contains a paragraph of text content.
- Field
  2.12.0.0
  Atk.Role A text object uses for passwords, or other places where the text content is not shown visibly to the user
- Field
  2.12.0.0
  Atk.Role A temporary window that is usually used to offer the user a list of choices, and then hides when the user selects one of those choices
- Field
  2.12.0.0
  Atk.Role An object used to indicate how much of a task has been completed
- Field
  2.12.0.0
  Atk.Role An object the user can manipulate to tell the application to do something
- Field
  2.12.0.0
  Atk.Role A specialized check box that will cause other radio buttons in the same group to become unchecked when this one is checked
- Field
  2.12.0.0
  Atk.Role A check menu item which belongs to a group. At each instant exactly one of the radio menu items from a group is selected
- Field
  2.12.0.0
  Atk.Role To be added.
- Field
  2.12.0.0
  Atk.Role A specialized pane that has a glass pane and a layered pane as its children
- Field
  2.12.0.0
  Atk.Role The header for a row of data
- Field
  2.12.0.0
  Atk.Role An object which describes margins and tab stops, etc. for text objects which it controls (should have CONTROLLER_FOR relation to such).
- Field
  2.12.0.0
  Atk.Role An object usually used to allow a user to incrementally view a large amount of data.
- Field
  2.12.0.0
  Atk.Role An object that allows a user to incrementally view a large amount of information
- Field
  2.12.0.0
  Atk.Role To be added.
- Field
  2.12.0.0
  Atk.Role An object usually contained in a menu to provide a visible and logical separation of the contents in a menu
- Field
  2.12.0.0
  Atk.Role An object that allows the user to select from a bounded range
- Field
  2.12.0.0
  Atk.Role An object used to get an integer or floating point number from the user
- Field
  2.12.0.0
  Atk.Role A specialized panel that presents two other panels at the same time
- Field
  2.12.0.0
  Atk.Role An object which reports messages of minor importance to the user
- Field
  2.12.0.0
  Atk.Role An object used to represent information in terms of rows and columns
- Field
  2.12.0.0
  Atk.Role A cell in a table
- Field
  2.12.0.0
  Atk.Role The header for a column of a table
- Field
  2.12.0.0
  Atk.Role The header for a row of a table
- Field
  2.12.0.0
  Atk.Role A menu item used to tear off and reattach its menu
- Field
  2.12.0.0
  Atk.Role An object that represents an accessible terminal
- Field
  2.12.0.0
  Atk.Role An object that presents text to the user
- Field
  2.12.0.0
  Atk.Role A specialized push button that can be checked or unchecked, but does not provide a separate indicator for the current state
- Field
  2.12.0.0
  Atk.Role A bar or palette usually composed of push buttons or toggle buttons
- Field
  2.12.0.0
  Atk.Role An object that provides information about another object
- Field
  2.12.0.0
  Atk.Role An object used to represent hierarchical information to the user
- Field
  2.12.0.0
  Atk.Role An object capable of expanding and collapsing rows as well as showing multiple columns of data
- Field
  2.12.0.0
  Atk.Role The object contains some Accessible information, but its role is not known
- Field
  2.12.0.0
  Atk.Role An object usually used in a scroll pane
- Field
  2.12.0.0
  Atk.Role A top level window with no title or border.